#!/usr/bin/env bash


source h-manifest.conf


#[[ `ps aux | grep "./rqiner-x86" | grep -v grep | wc -l` != 0 ]] &&
#	echo -e "${RED}$CUSTOM_NAME miner is already running${NOCOLOR}" &&
#	exit 1

CUSTOM_LOG_BASEDIR=`dirname "$CUSTOM_LOG_BASENAME"`
[[ ! -d $CUSTOM_LOG_BASEDIR ]] && mkdir -p $CUSTOM_LOG_BASEDIR

if [[ -z $CUSTOM_CONFIG_FILENAME ]]; then
	echo -e "The config file is not defined"
fi

export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/hive/lib

CUSTOM_USER_CONFIG=$(< $CUSTOM_CONFIG_FILENAME)

#echo "about to call executiable "
echo "args: $CUSTOM_USER_CONFIG"

OLD=""
MINER=xelis-taxminer


# Check if "--old" is present in the CUSTOM_USER_CONFIG
if [[ "$CUSTOM_USER_CONFIG" == *"--old"* ]]; then
    MINER=xelis-taxminer-old
fi



#strip arch from commandline
# Remove the -arch argument and its value
CLEAN=$(echo "$CUSTOM_USER_CONFIG" | sed -E 's/-arch [^ ]+ //')
echo "args are now: $CLEAN"
echo "We are using miner: $MINER"
echo $(date +%s) > "/tmp/miner_start_time"
/hive/miners/custom/xelis-taxminer/$MINER -v 2>&1 | grep 'Miner version:' | awk '{print $3}' > /tmp/.xelis-taxminer-version
/hive/miners/custom/xelis-taxminer/$MINER $CLEAN --display-hs-all  2>&1 | tee append ${CUSTOM_LOG_BASENAME}.log
echo "Miner has exited"

